## org.apache.tools.ant.taskdefs.compilers
Class Kjc

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
            |
            +--org.apache.tools.ant.taskdefs.compilers.Kjc

All Implemented Interfaces:
  CompilerAdapter

public class Kjc
extends DefaultCompilerAdapter

The implementation of the Java compiler for KJC. This is primarily a cut-and-paste from Jikes.java and DefaultCompilerAdapter.

Since:
  Ant 1.4
Author:
  Takashi Okamoto

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, optimize, project, src, target, verbose`

Constructor Summary
`Kjc()`

Method Summary
`boolean` `execute()` Run the compilation.
`protected Commandline` `setupKjcCommand()` setup kjc command arguments.

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, executeExternalCompile, getCompileClasspath, getJavac, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Kjc

    public Kjc()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Run the compilation.

  Returns:
    has the compilation been successful
  Throws:
    `BuildException` - if the compilation has problems.

### setupKjcCommand

    protected Commandline setupKjcCommand()

  setup kjc command arguments.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.